#
# spec file for package libdsk
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  3
Name:           libdsk
Version:        1.2.2
Release:        1.17
Summary:        Library for accessing discs and disc image files
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://www.seasip.demon.co.uk/Unix/LibDsk/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  libbz2-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LibDsk is a library intended to give transparent access to floppy drives
and to the "disc image files" used by emulators to represent floppy drives.

%package -n libdsk%{soname}
Summary:        Library for accessing discs and disc image files
Group:          System/Libraries

%description -n libdsk%{soname}
LibDsk is a library intended to give transparent access to floppy drives
and to the "disc image files" used by emulators to represent floppy drives.

%package devel
Summary:        Library for accessing discs and disc image files (development files)
Group:          Development/Libraries/C and C++
Requires:       libdsk%{soname} = %{version}

%description devel
This package contains files needed for development with the libdsk
library.

%prep
%setup -q -n libdsk-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libdsk%{soname} -p /sbin/ldconfig

%postun -n libdsk%{soname} -p /sbin/ldconfig

%files -n libdsk%{soname}
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libdsk*.so.*
%doc doc/COPYING
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%{_libdir}/libdsk.so
%{_includedir}/libdsk.h
%doc ChangeLog
%doc doc/apridisk.html
%doc doc/cfi.html
%doc doc/libdsk.txt
%doc doc/protocol.txt

%changelog
* Sun Nov 23 2014 serbalgi@gmail.com
- Update to version 1.2.2
  * Compilation scripts updated to autoconf 2.68.
  * Corrected a bug which caused rcpmfs to give 'overrun' errors when
    emulating a CP/M 2 filesystem.
  * Removed O_CREAT from attempts to open serial ports.
  * For some reason I commented out the ibm320 format between
  libdsk-1.1.2 and libdsk-1.1.3. Can't think why. Uncommented it.
  * Removed a couple of C99 style comments (//) which prevented
  compilation on really old gcc versions.
- Drop o_creat.patch: Upstream fixed.
- Modernize package license.
- Several spec fixes.
